$primary: #ff006a;
$second: #00b0ff;
$bg_form: #fff;


.form-edit-content {
  display: flex;
  flex-direction: column;
  align-content: center;
  width: 100%;


  .input-field {
    position: relative;
    height: 40px;
    width: 100%;
    margin: 30px 0;

    input {
      position: absolute;
      background-color: transparent;
      border: none;
      box-shadow: none;
      font-size: 16px;
      width: 100%;
      height: 100%;
      left: 0;

      &:focus, &:valid {
        outline: 0;

        + label {
          transform: translateY(-20px);
          //font-size: 14px;
          color: #ffffff;
          font-weight: 600;
          background-color: $primary;
          padding: 2px 5px;
        }

        ~ span:before {
          transform: scaleX(1);
          transform-origin: left;
        }
      }
    }

    label {
      position: absolute;
      top: 0;
      left: 0;
      color: #555555;
      pointer-events: none;
      display: block;
      transition: .3s;

    }

    span {
      position: absolute;
      bottom: 0;
      right: 0;
      display: block;
      background-color: #555555;
      width: 100%;
      height: 2px;
      font-size: .8rem;
      text-align: left;

      &:before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: $primary;
        transform: scaleX(0);
        transform-origin: right;
        transition: transform .5s ease-in-out;
      }

      a {
        text-decoration: none;
        color: $primary;
        &:hover {
          color: $second;
        }
      }
    }
  }

  button {
    padding: 10px 15px;
    background-color: transparent;
    border: 1px solid $primary;
    color: $primary;
    margin: 20px auto;
    outline: none;

    &:hover {
      background-color: #fff;
      color: $primary;
      cursor: pointer;
      border: 1px solid $second;
    }
  }
}
